{% from "prometheus/map.jinja" import elasticsearch_exporter with context %}
{%- if elasticsearch_exporter.enabled %}
  {%- if pillar.docker is defined and pillar.docker.host is defined %}

{{elasticsearch_exporter.dir.config}}:
  file.directory:
    - makedirs: True

{{elasticsearch_exporter.dir.config}}/elasticsearch_exporter.cfg:
  file.managed:
  - source: salt://prometheus/files/elasticsearch_exporter.cfg
  - template: jinja
  - require:
    - file: {{elasticsearch_exporter.dir.config}}

  {%- endif %}
{%- endif %}
